package me.picnicapp.sample.picnicsample;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import me.picnicapp.sdk.activity.WebViewActivity;
import me.picnicapp.sdk.map.MapActivity;

/**
 * アプリ起動時のTOP画面.
 */
public class TopActivity extends Activity implements View.OnClickListener {

    // 画面生成時の処理
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_top);
    }

    // ボタンが押された時の処理
    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.top_btn_map) {
            // 地図画面に遷移する
            Intent intent = new Intent(getApplicationContext(), MapActivity.class);
            startActivity(intent);

        } else if (v.getId() == R.id.top_btn_howto) {
            // 使い方画面に遷移する
            Intent intent = new Intent(getApplicationContext(), HowToActivity.class);
            startActivity(intent);

        } else if (v.getId() == R.id.top_btn_about) {
            // アプリ説明画面に遷移する
            Intent intent = new Intent(getApplicationContext(), AboutActivity.class);
            startActivity(intent);

        }
    }
}
